:root {
    --fr-input-color: #000000;
    --fr-placeholder-color: #747474;
    --fr-label-color: #000000;
    --fr-input-bg-color: #ffffff;
    --fr-input-border-color: #cfcfcf;
    --fr-input-border-focus-color: #000000;

    --fr-text-size-xs: 12px;
    --fr-text-size-sm: 14px;
    --fr-text-size-md: 16px;
    --fr-text-size-lg: 20px;
    --fr-text-size-xl: 28px;
}

.fast-registration .fr-product .fr-product-title {
    font-size: var(--fr-text-size-xl);
    font-weight: 700;
    margin: 0 0 8px;
}

.fast-registration .fr-product .fr-product-price {
    font-size: var(--fr-text-size-md);
    font-weight: 400;
}

.fast-registration .fr-product .fr-product-description {
    font-size: var(--fr-text-size-md);
    font-weight: 400;
    margin: 16px 0 0;
}

.fast-registration hr {
    margin: 24px 0;
}

.fast-registration .fr-form-inputs .fr-input-group {
    margin: 0 0 24px;
}

.fast-registration .fr-form-inputs h4 {
    font-size: var(--fr-text-size-lg);
    font-weight: 500;
    margin: 0 0 12px;
}

.fast-registration .fr-form-inputs .btn {
    font-size: var(--fr-text-size-md);
    text-transform: uppercase;
    font-weight: 700;
    padding: 12px;
}

.fast-registration .fr-input-field {
    position: relative;
    margin-bottom: 12px;
}

.fast-registration .fr-input-field input,
.fast-registration .fr-input-field input:focus {
    font-size: var(--fr-text-size-sm);
    border-width: 1px;
    border-style: solid;
    background-color: var(--fr-input-bg-color);
    outline: none;
    padding: 26px 12px 10px 12px;
    box-shadow: none;
    border-radius: 4px;
    transition: .2s ease;
}

.fast-registration .fr-input-field input {
    border-color: var(--fr-input-border-color);
}

.fast-registration .fr-input-field input:focus {
    border-color: var(--fr-input-border-focus-color);
}

.fast-registration .fr-input-field label {
    font-size: var(--fr-text-size-xs) !important;
    color: var(--fr-placeholder-color);
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    left: 12px;
    cursor: text;
    font-weight: 400;
    transition: .2s ease;
}

.fast-registration .fr-input-field input,
.fast-registration .fr-input-field label {
    width: 100%;
    height: 48px;
    margin: 0;
}

.fast-registration .fr-input-field label:has(+ input:focus),
.fast-registration .fr-input-field label:has(+ input:valid),
.fast-registration .fr-input-field label:has(+ input:not(:placeholder-shown)) {
    font-size: var(--fr-text-size-xs);
    top: -10px;
    pointer-events: none;
}

.fast-registration .fr-checkbox-field,
.fast-registration .fr-radio-field {
    display: flex;
    align-items: center;
    gap: 8px;
    overflow: hidden;
}

.fast-registration .fr-checkbox-field label,
.fast-registration .fr-radio-field label {
    font-size: var(--fr-text-size-sm);
    color: var(--fr-label-color);
}

.fast-registration .fr-radio-field label {
    margin-left: 4px;
}

.fast-registration .fr-radio-field .fr-payment-icons {
    display: flex;
    gap: 4px;
    align-items: center;
    margin-left: auto;
}

.fast-registration .fr-radio-field .payment-icon {
    max-height: 48px;
    width: auto;
    object-fit: contain;
}

.fast-registration .fr-radio-field .payment-icon.payment-card {
    max-height: 21px;
    border: 1px solid var(--fr-input-border-color);
    border-radius: 4px;
    object-fit: cover;
}

.fast-registration .fr-checkbox-field input,
.fast-registration .fr-radio-field input {
    color: var(--fr-input-color);
    border: 1px solid var(--fr-input-border-color);
    background-color: var(--fr-input-bg-color);
    display: grid;
    place-content: center;
    cursor: pointer;
    box-sizing: border-box;
    height: 14px;
    width: 14px;
    padding: 0;
    margin: 0;
    border-radius: 4px;
    appearance: none;
    outline: none;
    transition: .2s ease;
}

.fast-registration .fr-radio-field input {
    border-radius: 50%;
}

.fast-registration .fr-checkbox-field input::after,
.fast-registration .fr-radio-field input::after {
    display: none !important;
}

.fast-registration .fr-checkbox-field input::before,
.fast-registration .fr-radio-field input::before {
    background-color: var(--fr-input-bg-color);
    content: "";
    width: 8px;
    height: 8px;
    transform: scale(0);
    transition: .2s ease;
}

.fast-registration .fr-checkbox-field input::before {
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0, 43% 62%);
}

.fast-registration .fr-radio-field input::before {
    width: 4px;
    height: 4px;
    border-radius: 50%;
}

.fast-registration .fr-checkbox-field input:checked,
.fast-registration .fr-radio-field input:checked {
    background-color: var(--primary-color, var(--bs-primary));
    border-color: var(--primary-color, var(--bs-primary));
}

.fast-registration .fr-checkbox-field input:checked::before,
.fast-registration .fr-radio-field input:checked::before {
    transform: scale(1);
}

.fast-registration .fr-radio-field:has(input:checked) {
    border-color: var(--primary-color, var(--bs-primary));
}

.fast-registration .fr-radio-field:nth-last-child(2):has(+ .fr-radio-field:last-child input:checked),
.fast-registration .fr-radio-field:has(+ .fr-radio-field input:checked) {
    border-bottom-color: var(--primary-color, var(--bs-primary));
}

.fast-registration .fr-radio-field {
    border-color: var(--fr-input-border-color);
    background-color: var(--fr-input-bg-color);
    border-width: 0 1px 1px;
    border-style: solid;
    height: 48px;
    padding: 0 12px;
}

.fast-registration .fr-radio-field:first-child {
    border-top-width: 1px;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
}

.fast-registration .fr-radio-field:last-child {
    border-bottom-width: 1px;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

.fast-registration .submission-spinner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
}

.fast-registration .submission-spinner .spinner-border {
    margin-right: 8px;
}

.fast-registration .alert-message {
    font-size: var(--fr-text-size-xs);
    margin: 2px 0;
    line-height: 1.5;
}

.fast-registration .alert-message ul {
    margin: 0;
    padding-left: 1em;
}

.fast-registration .fast-registration-form.isSubmitting .fr-form-inputs {
    opacity: .3;
}
